package controller

import (
	"web-qudo-be/app/module/about_us_content_images/service"

	"github.com/rs/zerolog"
)

type Controller struct {
	AboutUsContentImage AboutUsContentImageController
}

func NewController(aboutUsContentImageService service.AboutUsContentImageService, log zerolog.Logger) *Controller {
	return &Controller{
		AboutUsContentImage: NewAboutUsContentImageController(aboutUsContentImageService, log),
	}
}